List storefront connections
curl --request GET \
--url https://api.semicola.com/api/v2/buyer/storefront-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/buyer/storefront-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/buyer/storefront-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"storefront": {
"id": "<string>",
"platformId": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"logoBackground": "<string>",
"description": "<string>",
"channels": [
"<string>"
],
"regions": [
"<string>"
],
"website": "<string>",
"providerType": "<string>",
"providerDisplayName": "<string>",
"sourceKind": "sales",
"routingMode": "ADAPTER"
},
"status": "not_connected",
"authModes": [
"oauth"
],
"setupRequired": {
"code": "oauth_client_not_configured",
"message": "<string>"
},
"accountCount": 4503599627370495,
"mappedAdvertiserCount": 4503599627370495,
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"featurePolicy": {
"buyEnabled": true,
"eventsEnabled": true,
"feedsEnabled": true,
"updatedAt": "<string>"
},
"connection": {
"id": "<string>",
"storefrontId": "<string>",
"status": "<string>",
"connectedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"credential": {
"credentialKind": "OAUTH",
"status": "ACTIVE"
}
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Storefronts
List storefront connections
GET
/
api
/
v2
/
buyer
/
storefront-connections
List storefront connections
